<!DOCTYPE html>
<html>

	<head>
		<meta charset="UTF-8">
		<title>sage</title>
		<link rel="stylesheet" type="text/css" href="css/easyui.css">
		<link rel="stylesheet" type="text/css" href="css/icon.css">
		<script type="text/javascript" src="js/lib/jquery.min.js"></script>
		<script type="text/javascript" src="js/lib/jquery.easyui.min.js"></script>
	</head>

	<body>
		<div class="common_content_nav">您所在位置 > <a href="#">日期维护</a></div>
		<div class="common_content_title">日期维护</div>
		<div class="common_content_btnList clearfix">
			<button id="showDate" type="button" class="btn btn-success btn-block">查看</button>
			<button id="editDate" type="button" class="btn btn-block">编辑</button>
			<button id="saveDate" type="button" class="btn btn-block">新建</button>
			<button id="deletedDate" type="button" class="btn btn-block">删除</button>
		</div>
		<div class="common_content_table box_shadow border10">
			<table id="activityDateTable" class="easyui-datagrid" style="width:100%;height:400px" data-options="pagination:true,collapsible:true,method:'get'">
				<thead>
					<tr>
						<th data-options="field:'activityDateId',checkbox:true"></th>
						<th data-options="field:'activityDateName',width:170,align:'center',halign:'center'">日期名称</th>
						<th data-options="field:'fromDate',width:200,align:'center',halign:'center'
							,formatter : function(value, row, index) {return getFromDate(value, row, index);}">活动日期</th>
						<th data-options="field:'createTime',width:260,align:'center',halign:'center'
							,formatter : function(value, row, index) {return getDateString(value);}">添加时间</th>
					</tr>
				</thead>
			</table>
		</div>
		<div id="date_Detail" class="mask clearfix none">
			<div class="detailed xitongpeizhi_detailed tabPanel">
				<button type="button" class="icon detailed_close" id="closeDateButton"></button>
				<div class="common_content_title"><span id="date_title"></span></div>
				<div>
					<form id="activityDateForm" method="post">
						<div class="row">
							<div class="col-xs-2 msg">日期名称</div>
							<div class="col-xs-3">
								<div  style="position: absolute;">
									<input type="text" class="form-control" id="activityDateName1" name="activityDateName" data-options="required:true,length:'100'">
								</div>
							</div>
						</div>
						<div class="row">
							<div class="col-xs-2 msg">日期类型</div>
							<div class="col-xs-3">
								<input type="hidden" name="activityDateType" id="activityDateType" value="" />
								<input size="16" type="text" class="form-control" id="dateTypeSelect" value="" input-type="select" readonly>
								<ul class="dropdown-menu">
									<li data-id="1">
										<a href="#" onclick="javascript:activity_selectDate(1);">固定日期</a>
									</li>
									<!-- <li data-id="2">
										<a href="#" onclick="javascript:activity_selectDate(2);">时间段</a>
									</li> -->
									<li data-id="3">
										<a href="#" onclick="javascript:activity_selectDate(3);">滚动日期</a>
									</li>
								</ul>
								<i class="input_icon input_down"></i>
							</div>
						</div>
						<div class="row" id="roll">
							<div class="col-xs-2 msg">滚动周期</div>
							<div class="col-xs-2">
								<input type="hidden" class="form-control" id="dateValue" name="dateValue">
								<div  style="position: absolute;">
									<input type="text" class="form-control" id="dateValue1" data-options="required:false,length:'3'">
								</div>
							</div>
							<div class="col-xs-1" style="text-align: center; line-height: 35px;">
								/
							</div>
							<div class="col-xs-2">
								<input type="hidden" name="dateValue2" id="dateValue2" value="" />
								<input size="16" type="text" class="form-control" id="dateValueTypeSelect" value="" input-type="select" readonly>
								<ul class="dropdown-menu" data="">
									<li data-id="year">
										<a href="#" onclick="display_date(&quot;year&quot;)">年</a>
									</li>
									<li data-id="mouth">
										<a href="#" onclick="display_date(&quot;mouth&quot;)">月</a>
									</li>
									<li data-id="week">
										<a href="#" onclick="display_date(&quot;week&quot;)">星期</a>
									</li>
								</ul>
								<i class="input_icon input_down"></i>
							</div>
						</div>
						<div class="row">
							<div class="col-xs-2 msg">日期</div>
							<input type="hidden" name="fromDate" id="fromDate_detail" value="" />
							<!-- 固定日期，日期显示 -->
							<div class="col-xs-3" id="fixed_show4">
								<input name="" class="Wdate date_input" type="text" value="" id="fromDate4" 
								 onfocus="WdatePicker({dateFmt:'yyyy-MM-dd'})" />
							</div>
							<!-- 滚动周期为年时，日期显示 -->
							<div class="col-xs-3" id="fixed_show1">
								<input name="" class="Wdate date_input" type="text" value="" id="fromDate1" 
								 onfocus="WdatePicker({dateFmt:'MM-dd'})" />
							</div>
							<!-- 滚动周期为月时，日期显示 -->
							<div class="col-xs-3" id="fixed_show2">
								<input name="" class="Wdate date_input" type="text" value="" id="fromDate2" 
								 onfocus="WdatePicker({dateFmt:'dd'})" />
							</div>
							<!-- 滚动周期为周时，日期显示 -->
							<div class="col-xs-3" style="padding:0;" id="fixed_show3">
								<input type="hidden" id="fromDate3" value="" />
								<input size="16" type="text" class="form-control" id="weekValueSelect" value="" input-type="select" readonly>
								<ul class="dropdown-menu" data="">
									<li data-id="1"><a href="javascript:;">周一</a></li>
									<li data-id="2"><a href="javascript:;">周二</a></li>
									<li data-id="3"><a href="javascript:;">周三</a></li>
									<li data-id="4"><a href="javascript:;">周四</a></li>
									<li data-id="5"><a href="javascript:;">周五</a></li>
									<li data-id="6"><a href="javascript:;">周六</a></li>
									<li data-id="7"><a href="javascript:;">周日</a></li>
								</ul>
								<i class="input_icon input_down"></i>
							</div>
						</div>
						
						<button id="save_Detail" type="button" class="btn btn-success btn-block choose_btn">保存</button>
					</form>
				</div>
			</div>
		</div>
		<script type="text/javascript">
			$(function() {
				require(['view/activity/dateManage'], function(re) {
					re.init();
				});
			});
		</script>
	</body>

</html>